From 36c26a401870eb9570bd6b1b5afc93e4a4f243a0 Mon Sep 17 00:00:00 2001
From: Florian Weimer <fweimer@redhat.com>
Date: Thu, 22 Dec 2022 10:07:54 +0100
Subject: [PATCH] mxTextTools: Replace Py_UNICODE_COPY with memcpy

Current Python 3 no longer supports Py_UNICODE_COPY.
---
 simpleparse/stt/TextTools/mxTextTools/mxTextTools.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/simpleparse/stt/TextTools/mxTextTools/mxTextTools.c b/simpleparse/stt/TextTools/mxTextTools/mxTextTools.c
index be8f6a4..89ea7a9 100644
--- a/simpleparse/stt/TextTools/mxTextTools/mxTextTools.c
+++ b/simpleparse/stt/TextTools/mxTextTools/mxTextTools.c
@@ -2898,13 +2898,13 @@ PyObject *mxTextTools_UnicodeJoin(PyObject *seq,
 
 	/* Insert separator */
 	if (i > 0 && sep_len > 0) {
-	    Py_UNICODE_COPY(p, sep, sep_len);
+	    memcpy(p, sep, sep_len * sizeof(*p));
 	    p += sep_len;
 	    current_len += sep_len;
 	}
 
 	/* Copy snippet into new string */
-	Py_UNICODE_COPY(p, st, len_st);
+	memcpy(p, st, len_st * sizeof(*p));
 	p += len_st;
 	current_len += len_st;
 	
